#!/bin/bash

_install_dir=
_my_library=_lib_ait.subr

# library link
search_lib () {
  if [ X"${_install_dir}" != X"" ]; then
    if [ -r "${_install_dir}/${1}" ]; then
      echo "${_install_dir}/${1}"
      return 0
    fi
  fi

  _search_lib_dirname=`dirname "${0}"`
  if [ -r "${_search_lib_dirname}/${1}" ]; then
    echo "${_search_lib_dirname}/${1}"
    return 0
  fi

  # error
  return 1
}

_library_path=`search_lib "${_my_library}"`
if [ X"${_library_path}" = X"" ]; then
  echo "${_my_library} not found"
  exit 1
fi

. "${_library_path}"

######## Process Start
_cmdname=`basename "${0}"`
if [ $# -ne 1 ]; then
  echo "Usage: ${_cmdname} file"
  exit 1
fi

if ! set_command ; then
  exit 1
fi

if [ ! -r "${1}" ]; then
  echo "${1} file not found"
  exit 1
fi

init_tty

send_file "${1}"
